--- old/usr/src/man/man1/rm.1	2014-04-29 16:44:00.323832726 +0100
+++ new/usr/src/man/man1/rm.1	2014-04-29 16:44:00.329485057 +0100
@@ -3,6 +3,7 @@
 .\" Copyright 1989 AT&T
 .\" Portions Copyright (c) 1982-2007 AT&T Knowledge Ventures
 .\" Portions Copyright (c) 1992, X/Open Company Limited All Rights Reserved
+.\" Copyright 2014 Andrew Stormont.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
 .\" The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation. In the following statement, the phrase "this text" refers to portions of the system documentation. Portions of this text are reprinted and reproduced in electronic form in the Sun OS Reference Manual, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html.
@@ -10,23 +11,18 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH RM 1 "Nov 20, 2007"
+.TH RM 1 "Apr 30, 2014"
 .SH NAME
 rm, rmdir \- remove directory entries
 .SH SYNOPSIS
 .LP
 .nf
-\fB/usr/bin/rm\fR [\fB-f\fR] [\fB-i\fR] \fIfile\fR...
+\fB/usr/bin/rm\fR [\fB-f\fR] [\fB-i\fR] [\fB-v\fR] \fIfile\fR...
 .fi
 
 .LP
 .nf
-\fB/usr/bin/rm\fR \fB-rR\fR [\fB-f\fR] [\fB-i\fR] \fIdirname\fR... [\fIfile\fR]...
-.fi
-
-.LP
-.nf
-\fB/usr/xpg4/bin/rm\fR [\fB-fiRr\fR] \fIfile\fR...
+\fB/usr/bin/rm\fR \fB-rR\fR [\fB-f\fR] [\fB-i\fR] [\fB-v\fR] \fIdirname\fR... [\fIfile\fR]...
 .fi
 
 .LP
@@ -41,7 +37,7 @@
 .fi
 
 .SH DESCRIPTION
-.SS "/usr/bin/rm /usr/xpg4/bin/rm"
+.SS "/usr/bin/rm"
 .sp
 .LP
 The \fBrm\fR utility removes the directory entry specified by each \fIfile\fR
@@ -92,8 +88,7 @@
 .SH OPTIONS
 .sp
 .LP
-The following options are supported for \fB/usr/bin/rm\fR and
-\fB/usr/xpg4/bin/rm\fR:
+The following options are supported for \fB/usr/bin/rm\fR only:
 .sp
 .ne 2
 .na
@@ -123,47 +118,27 @@
 Same as \fB-r\fR option.
 .RE
 
-.SS "/usr/bin/rm"
-.sp
-.LP
-The following options are supported for \fB/usr/bin/rm\fR only:
-.sp
-.ne 2
-.na
-\fB\fB-f\fR\fR
-.ad
-.RS 6n
-Removes all files (whether write-protected or not) in a directory without
-prompting the user. In a write-protected directory, however, files are never
-removed (whatever their permissions are), but no messages are displayed. If the
-removal of a write-protected directory is attempted, this option does not
-suppress an error message.
-.RE
-
 .sp
 .ne 2
 .na
-\fB\fB-i\fR\fR
+\fB\fB-v\fR\fR
 .ad
 .RS 6n
-Interactive. With this option, \fBrm\fR prompts for confirmation before
-removing any files. It overrides the \fB-f\fR option and remains in effect even
-if the standard input is not a terminal.
+Print out the name of files and directories removed.
 .RE
 
-.SS "/usr/xpg4/bin/rm"
+.SS "/usr/bin/rm"
 .sp
 .LP
-The following options are supported for \fB/usr/xpg4/bin/rm\fR only:
+The following options are supported for \fB/usr/bin/rm\fR only:
 .sp
 .ne 2
 .na
 \fB\fB-f\fR\fR
 .ad
 .RS 6n
-Does not prompt for confirmation. Does not write diagnostic messages or modify
-the exit status in the case of non-existent operands. Any previous occurrences
-of the \fB-i\fR option is ignored.
+Removes all files (whether write-protected or not) in a directory without
+prompting the user.
 .RE
 
 .sp
@@ -172,7 +147,9 @@
 \fB\fB-i\fR\fR
 .ad
 .RS 6n
-Prompts for confirmation. Any occurrences of the \fB-f\fR option is ignored.
+Interactive. With this option, \fBrm\fR prompts for confirmation before
+removing any files. It overrides the \fB-f\fR option and remains in effect even
+if the standard input is not a terminal.
 .RE
 
 .SS "/usr/bin/rmdir"
@@ -277,7 +254,7 @@
 .sp
 .LP
 The following examples are valid for the commands shown.
-.SS "/usr/bin/rm, /usr/xpg4/bin/rm"
+.SS "/usr/bin/rm"
 .LP
 \fBExample 1 \fRRemoving Directories
 .sp
@@ -403,23 +380,6 @@
 CSI	Enabled
 .TE
 
-.SS "/usr/xpg4/bin/rm"
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-CSI	Enabled
-_
-Interface Stability	Committed
-_
-Standard	See \fBstandards\fR(5).
-.TE
-
 .SS "ksh93"
 .sp
 
